<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org"
      xmlns:sec="http://www.thymeleaf.org/extras/spring-security">

<head>
    <link
        href="https://fonts.googleapis.com/css2?family=Roboto+Condensed:wght@300;700&family=Roboto:wght@300;700&display=swap"
        rel="stylesheet">
    <style>
        body {
            background-color: white !important;
            margin: 0;
        }
    </style>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>CheersBeers</title>

    <!-- bootstrap -->
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css" integrity="sha384-JcKb8q3iqJ61gNV9KGb8thSsNjpSL0n8PARn9HuZOnIxN0hoP+VmmDGMN5t9UJ0Z" crossorigin="anonymous">
    <script src="https://code.jquery.com/jquery-3.5.1.slim.min.js" integrity="sha384-DfXdz2htPH0lsSSs5nCTpuj/zy4C+OGpamoFVy38MVBnE+IbbVYUew+OrCXaRkfj" crossorigin="anonymous"></script>
    <script src="https://cdn.jsdelivr.net/npm/popper.js@1.16.1/dist/umd/popper.min.js" integrity="sha384-9/reFTGAW83EW2RDu2S0VKaIzap3H66lZH81PoYlFhbGU+6BZp6G7niu735Sk7lN" crossorigin="anonymous"></script>
    <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js" integrity="sha384-B4gt1jrGC7Jh4AgTPSdUtOBvfO8shuf57BaghqFfPlYxofvL8/KUEfYiJOMMV+rV" crossorigin="anonymous"></script>
    <!-- bootstrap -->

    <link rel="stylesheet" href="https://use.fontawesome.com/releases/v5.3.1/css/all.css"
        integrity="sha384-mzrmE5qonljUremFsqc01SB46JvROS7bZs3IO2EmfFsd15uHvIt+Y8vEf7N7fWAU" crossorigin="anonymous">
    <script src="https://kit.fontawesome.com/876095b5f8.js" crossorigin="anonymous"></script>
    <link rel="stylesheet" href="../static/css/style.css" th:href="@{/css/style.css}">
    <script type="text/javascript" href="../static/js/main.js" th:href="@{/js/main.js}"></script>



</head>

<body>
<div th:replace="fragments/navbar.html :: header"></div>
<!--    <div class="nav-container">-->
<!--        <div class="wrapper">-->
<!--            <nav>-->
<!--                <div class="logo">-->
<!--                    <a href="beers_page.html" th:href="@{/beers}" ><img src="../static/images/logo_beer_page.png" th:src="@{/images/logo_beer_page.png}" alt="CHEERBEERS"></a>-->
<!--                </div>-->
<!--                <ul class="nav-items">-->
<!--                    <li sec:authorize="isAnonymous()" th:href="@{/login}">-->
<!--                        <a th:href="@{/login}">login</a>-->
<!--                    </li>-->

<!--                    <li>-->
<!--                        Welcome <a href="#" th:if="${#authorization.expression('isAuthenticated()')}"  sec:authentication="name">Kevin</a>-->
<!--                    </li>-->

<!--                    <li>-->
<!--                        <div class="dropdown">-->
<!--                            <img class="profile-picture-nav" sec:authorize="isAuthenticated()" th:src="${user.getProfilePicture()}">-->
<!--                            <img class="profile-picture-nav" sec:authorize="isAnonymous()" th:src="@{'/images/defaultAvatar.jpg'}">-->
<!--                            <div sec:authorize="isAuthenticated()" class="dropdown-content">-->
<!--                                <div class="desc" ><a href ="#" th:href="${'/users/profile/' + #authentication.getName() }"> Profile</a></div>-->
<!--                                <div class="desc" ><a href ="#" th:href="@{/beers/new/}"> Add new beer</a></div>-->
<!--                                <div class="desc"><a href ="#" th:href="${'/users/'+ #authentication.getName() + '/wishlist/'}">My wishlist</a></div>-->
<!--                                <div class="desc"><a href ="#" th:href="${'/users/'+ #authentication.getName() + '/drunklist/'}" >My drunklist</a></div>-->
<!--                                <div class="desc">-->
<!--                                    <form th:action="@{/logout}" method="post" id="logout-button">-->
<!--                                        <a href="#" onclick="document.getElementById('logout-button').submit()">logout</a>-->
<!--                                </form>-->
<!--                                </div>-->
<!--                            </div>-->
<!--                        </div>-->
<!--                    </li>-->
<!--                </ul>-->
<!--            </nav>-->
<!--        </div>-->
<!--    </div>-->

    <div class="filter-container">
        <div class="wrapper">
            <form th:action ="@{/beers}" th:object="${searchBeerDto}" method="post">
            <ul class="sort">
                <li>
                    <div class ="custom-search-form" >
                        <input th:field = "*{name}" type="search" placeholder="search...">
                        <i class="fa fa-search"></i>
                    </div>
                </li>

                <li>
                    <select th:field ="*{styleId}" class="form-control form-control-sm">
                        <option selected value="0">select style</option>
                        <option th:each = "style: ${styles}" th:value="${style.id}" th:text = "${style.style}">IPA</option>
                      </select>
                </li>

                <li>
                    <select th:field ="*{countryId}" class="form-control form-control-sm">
                        <option selected value="0">select country</option>
                        <option th:each = "country : ${countries}" th:value="${country.id}" th:text = "${country.country}">Bulgaria</option>
                      </select>
                </li>

                <li>

                        <input th:field ="*{tags}" th:value="0"  class="form-control form-control-sm" id="fname" name="firstname" placeholder="search by tags...">
                        <!-- <input type="submit" value="Submit"> -->

                </li>
                <li>
                    <button class="search-btn-submit" type="submit">search</button>
                </li>
            </ul>
        </form>
        </div>
    </div>

    <div class="filter-container">
        <div class="wrapper">
            <ul class="sort">
                <li>
                    <form th:action="@{/beers/sort}" method="GET">
                        <div align="center">
                        <select class="form-control form-control-sm" name="filter" onchange="this.form.submit();">
                            <option>sort by</option>
                            <option value="name">name</option>
                            <option value="abv">abv</option>
                            <option value="rating">rating</option>
                        </select>
                         </div>
                     </form>
                </li>
                <li>
                    <form th:action="@{/beers/sort/by}" method="GET">
                        <div align="center">
                            <select class="form-control form-control-sm" name="filter" onchange="this.form.submit();">
                                <option>⬍≡</option>
                                <option value="asc">asc</option>
                                <option value="dsc">dsc</option>
                            </select>
                        </div>
                    </form>
                </li>


<!--                <li>-->
<!--                    <select class="form-control form-control-sm">-->
<!--                        <option>asc</option>-->
<!--                        <option>desc</option>-->
<!--                      </select>-->
<!--                </li>-->
            </ul>
        </div>
    </div>

<!-- this code is for the beer cards -->

    <div class="wrapper">
        <div class="row">
            <!-- For each na column class -->
            <div th:each = "beer : ${beers}" class="column">
                <a th:href="@{/beers/{beerId}/info (beerId = ${beer.getId()})}"><div class="blog-post"   >
                    <div class="blog-post__img">
                        <img th:src ="${beer.getPicture()}" src="../static/images/profilePictureNav.png" alt="">
                    </div>
                    <div class="blog-post__info" >
                        <h1 class="blog-post__title" th:text= "${beer.name}" >LordHobo Glorius</h1>
                        <div class="blog-post__date">
                            <span th:text = "${beer.style.style}">Style</span>
                            <span th:text = "${beer.abv} + '%'">4.2%</span>

                            <span class="rating">
                                <span class="rating-upper" th:style="'width: ' + ${beer.getRatingInPercentage()} + '%'">
                                    <span>★</span>
                                    <span>★</span>
                                    <span>★</span>
                                    <span>★</span>
                                    <span>★</span>
                                </span>
                                <span class="rating-lower">
                                    <span>★</span>
                                    <span>★</span>
                                    <span>★</span>
                                    <span>★</span>
                                    <span>★</span>
                                </span>
                            </span>
                        </div>
                        <p class="blog-post__text" th:text = "${beer.description}">Lorem ipsum dolor, sit amet consectetur adipisicing elit.
                            Exercitationem eos totam dolores cupiditate voluptatibus ipsam reiciendis,
                            aliquam nisi ipsa! Amet asperiores dolore omnis doloremque maxime id facere ducimus ab et!
                        </p>
                        <form class="addToList-form" th:action="@{'/beers/add/toWishList/' + ${beer.id}}" method="post">
                            <button th:if="${!user.getWishListIdsOnly().contains(beer.id)}" sec:authorize="isAuthenticated()" type="submit" class="blog-post__cta">Add to wish list</button>
                            <button th:unless="${!user.getWishListIdsOnly().contains(beer.id)}" sec:authorize="isAuthenticated()" type="submit" disabled class="btn btn-secondary">Add to wish list</button>
                        </form>
                        <form class="addToList-form" th:action="@{'/beers/add/toDrunkList/' + ${beer.id}}" method="post">
                            <button th:if="${!user.getDrunkListIdsOnly().contains(beer.id)}" sec:authorize="isAuthenticated()" type="submit" class="blog-post__cta">Add to drunk list</button>
                            <button th:unless="${!user.getDrunkListIdsOnly().contains(beer.id)}" sec:authorize="isAuthenticated()" type="submit" disabled class="btn btn-secondary">Add to drunk list</button>
                        </form>
                        <a href="#" sec:authorize="isAnonymous()" th:href="@{/login}" ><h9>Login to add beers to your lists</h9></a>
                    </div>
                </div>
                </a>
            </div>
        </div>
    </div>

</body>

</html>